<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE stylesheet [<!ENTITY nbsp '&#160;'>]>

<!-- 
     Copyright 2010, Jens Pelzetter

         
     This file is part of Mandalay.
     
     Mandalay is free software: you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation, either version 2 of the License, or
     (at your option) any later version.
     
     Mandalay is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
     
     You should have received a copy of the GNU General Public License
     along with Mandalay.  If not, see <http://www.gnu.org/licenses/>.
-->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
  xmlns:bebop="http://www.arsdigita.com/bebop/1.0"
  xmlns:nav="http://ccm.redhat.com/navigation"
  xmlns:cms="http://www.arsdigita.com/cms/1.0"
  xmlns:mandalay="http://mandalay.quasiweb.de"
  exclude-result-prefixes="xsl bebop cms nav"
  version="1.0"
  >

  <!--
      **************************************************************************
      ** Templates for an ArticleInCollectedVolume publication                **
      **************************************************************************
  -->

  <!-- 
       Detail view 
       ===========
  -->
  <xsl:template name="CT_ArticleInCollectedVolume_graphics"
		match="cms:item[objectType='com.arsdigita.cms.contenttypes.ArticleInCollectedVolume']"
		mode="detailed_view">
    
    <xsl:variable name="formatDefFile">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'formatDefFile'"/>
	<xsl:with-param name="default" select="'SciPublicationsDefaultFormat.xml'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setImage">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'articleInCollectedVolume/setImage'"/>
        <xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setImageCaption">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'articleInCollectedVolume/setImageCaption'"/>
        <xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setImageMaxHeight">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'articleInCollectedVolume/setImageMaxHeight'"/>
        <xsl:with-param name="default" select="''"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setImageMaxWidth">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'articleInCollectedVolume/setImageMaxWidth'"/>
        <xsl:with-param name="default" select="''"/>
      </xsl:call-template>
    </xsl:variable>
    
    <xsl:variable name="setAbstract">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setAbstract'"/>
	<xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>      
    </xsl:variable>
    <xsl:variable name="setAuthors">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setAuthors'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setChapter">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setChapter'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>      
    </xsl:variable>
    <xsl:variable name="setCollectedVolume">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setCollectedVolume'"/>
	<xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>      
    </xsl:variable>
    <xsl:variable name="setIsbn">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setIsbn'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setMisc">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setMisc'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setPages">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setPages'"/>
	<xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setPublisher">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setPublisher'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setReviewed">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setReviewed'"/>
	<xsl:with-param name="default" select="'true'"/>		
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setSeries">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setSeries'"/>
	<xsl:with-param name="default" select="'true'"/>		
      </xsl:call-template>      
    </xsl:variable>
    <xsl:variable name="setSeriesLink">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setSeriesLink'"/>
	<xsl:with-param name="default" select="'true'"/>		
      </xsl:call-template>      
    </xsl:variable>
    <xsl:variable name="setUrl">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setUrl'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setYear">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'articleInCollectedVolume/setYear'"/>
	<xsl:with-param name="default" select="'true'"/>	
      </xsl:call-template>
    </xsl:variable>

    <div class="mainBody publication publicationDetails publicationArticleInCollectedVolumeDetails">
      <xsl:if test="$setImage = 'true'">
        <xsl:call-template name="mandalay:imageAttachment">
          <xsl:with-param name="showCaption" select="$setImageCaption" />
          <xsl:with-param name="maxHeight" select="$setImageMaxHeight" />
          <xsl:with-param name="maxWidth" select="$setImageMaxWidth" />
        </xsl:call-template>
      </xsl:if>

      <dl>
	<xsl:if test="($setAuthors = 'true') and (string-length(./authors) &gt; 0)">
	  <xsl:call-template name="scipublicationsAuthors">
	    <xsl:with-param name="authors" select="./authors/author"/>
	    <xsl:with-param name="authorText">
	      <xsl:call-template name="mandalay:getStaticText">
		<xsl:with-param name="module" select="'SciPublications'"/>
		<xsl:with-param name="id" select="'articleInCollectedVolume/author'"/>
	      </xsl:call-template>	      
	    </xsl:with-param>
	    <xsl:with-param name="authorsText">
	      <xsl:call-template name="mandalay:getStaticText">
		<xsl:with-param name="module" select="'SciPublications'"/>
		<xsl:with-param name="id" select="'articleInCollectedVolume/authors'"/>
	      </xsl:call-template>
	    </xsl:with-param>
	  </xsl:call-template>
	</xsl:if>

	<xsl:if test="($setYear = 'true') and (string-length(./yearOfPublication) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/year'"/>
	    </xsl:call-template>	    
	  </dt>
	  <dd>
	    <xsl:value-of select="./yearOfPublication"/>
	  </dd>
	</xsl:if>

	<xsl:if test="($setIsbn = 'true') and (string-length(./isbn) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/isbn'"/>	      
	    </xsl:call-template>
	  </dt>
	  <dd>
	    <xsl:value-of select="./isbn"/>
	  </dd>
	</xsl:if>

	<xsl:if test="($setUrl = 'true') and (string-length(./url) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/url'"/>	      
	    </xsl:call-template>
	  </dt>
	  <dd>
	    <a>
	      <xsl:attribute name="href">
		<xsl:value-of select="./url"/>
	      </xsl:attribute>
	      <xsl:value-of select="./url"/>
	    </a>
	  </dd>
	</xsl:if>

	<xsl:if test="($setChapter = 'true') and (string-length(./chapter) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/chapter'"/>
	    </xsl:call-template>
	  </dt>
	  <dd>
	    <xsl:value-of select="./chapter"/>
	  </dd>
	</xsl:if>

	<xsl:if test="($setCollectedVolume = 'true') and (string-length(./collectedVolume) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/collectedVolume'"/>
	    </xsl:call-template>	    
	  </dt>
	  <dd>
	    <xsl:for-each select="./collectedVolume">
	      <xsl:call-template name="CT_CollectedVolume_List"/>
	    </xsl:for-each>
	  </dd>
	</xsl:if>

	<xsl:if test="($setPages = 'true') and (string-length(./pagesFrom) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/pages'"/>	      
	    </xsl:call-template>
	  </dt>
	  <dd>
	    <xsl:value-of select="./pagesFrom"/>
	    <xsl:if test="string-length(./pagesTo) &gt; 0">
	      <xsl:call-template name="mandalay:getStaticText">
		<xsl:with-param name="module" select="'SciPublications'"/>
		<xsl:with-param name="id" select="'articleInCollectedVolume/pagesSeparator'"/>	      
	      </xsl:call-template>	   
	      <xsl:value-of select="./pagesTo"/>	    
	    </xsl:if>
	  </dd>
	</xsl:if>

	<xsl:if test="($setReviewed = 'true') and (string-length(./reviewed) &gt; 0) and (./reviewed = 'true')">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/reviewed'"/>
	    </xsl:call-template>
	  </dt>
	  <dd>&nbsp;</dd>
	</xsl:if>

	<xsl:if test="($setSeries = 'true') and (string-length(./series/series/title) &gt; 0)">
	  <dt>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/series'"/>		  
	    </xsl:call-template>	      
	  </dt>
	  <dd>
	    <xsl:choose>
	      <xsl:when test="$setSeriesLink = 'true'">
		<a>
		  <xsl:attribute name="href">/redirect/?oid=<xsl:value-of select="./series/series/@oid"/></xsl:attribute>
		  <xsl:value-of select="./series/series/title"/>
		</a>
	      </xsl:when>
	      <xsl:otherwise>
		<xsl:value-of select="./series/series/title"/>
	      </xsl:otherwise>
	    </xsl:choose>
	  </dd>
	</xsl:if>

      </dl>

      <xsl:if test="($setAbstract = 'true') and (string-length(./abstract) &gt; 0)">
	<div class="publicationAbstract">
	  <h3>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/abstract'"/>	    
	    </xsl:call-template>
	  </h3>
	  <div class="abstract">
	    <xsl:variable name="abstract">
	      <xsl:call-template name="mandalay:string-replace">
		<xsl:with-param name="string" select="./abstract"/>
		<xsl:with-param name="from" select="'&#xA;'"/>
		<xsl:with-param name="to" select="'&lt;br/>'"/>
	      </xsl:call-template>
	    </xsl:variable>	
	    <xsl:value-of disable-output-escaping="yes" select="$abstract"/>    
	  </div>
	</div>
      </xsl:if>

      <xsl:if test="($setMisc = 'true') and (string-length(normalize-space(./misc)) &gt; 0)">
	<div class="publicationMisc">
	  <h3>
	    <xsl:call-template name="mandalay:getStaticText">
	      <xsl:with-param name="module" select="'SciPublications'"/>
	      <xsl:with-param name="id" select="'articleInCollectedVolume/misc'"/>	    
	    </xsl:call-template>
	  </h3>
	  <xsl:value-of select="./misc"/>
	</div>
      </xsl:if>      

      <!-- <xsl:call-template name="scipublicationsDownload"/> -->
    </div>

  </xsl:template>

  <!--
      List view
      =========
  -->

  <xsl:template match="publication[objectType='com.arsdigita.cms.contenttypes.ArticleInCollectedVolume']"
		mode="list_view">
    <xsl:param name="useRelativeUrl" select="'false'"/>
    <xsl:call-template name="CT_ArticleInCollectedVolume_List">
      <xsl:with-param name="useRelativeUrl" select="$useRelativeUrl"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="publications[objectType='com.arsdigita.cms.contenttypes.ArticleInCollectedVolume']"
		mode="list_view">
    <xsl:param name="useRelativeUrl" select="'false'"/>
    <xsl:call-template name="CT_ArticleInCollectedVolume_List">
      <xsl:with-param name="useRelativeUrl" select="$useRelativeUrl"/>
    </xsl:call-template>
  </xsl:template>

  <xsl:template 
    name="CT_ArticleInCollectedVolume_List" 
    match="nav:item[nav:attribute[@name='objectType'] = 'com.arsdigita.cms.contenttypes.ArticleInCollectedVolume']"
    mode="list_view">
    <xsl:param name="useRelativeUrl" select="'false'"/>

    <!-- EN Get all settings needed -->
    <xsl:variable name="formatDefFile">
      <xsl:call-template name="mandalay:getSetting">
	<xsl:with-param name="module" select="'SciPublications'"/>
	<xsl:with-param name="setting" select="'formatDefFile'"/>
	<xsl:with-param name="default" select="'SciPublicationsDefaultFormat.xml'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setLinkToDetails">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'listView/setLinkToDetails'"/>
        <xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setLeadText">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'listView/setLeadText'"/>
       <xsl:with-param name="default" select="'true'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setLeadTextLength">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'listView/setLeadTextLength'"/>
        <xsl:with-param name="default" select="'0'"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:variable name="setMoreButton">
      <xsl:call-template name="mandalay:getSetting">
        <xsl:with-param name="module"  select="'SciPublications'"/>
        <xsl:with-param name="setting" select="'listView/setMoreButton'"/>
        <xsl:with-param name="default" select="'false'"/>
      </xsl:call-template>
    </xsl:variable>

    <!-- 
	 Process authors first, and store the result (complete author part) 
	 in a variable. The format for the authors part is defined in a 
	 seperate XML file, which is also processed 
	 here.
    -->
    <xsl:variable name="authors">
      <xsl:for-each select="./authors/author">     
	<xsl:sort select="./@order" data-type="number"/>
	<xsl:apply-templates select="document(concat($theme-prefix, '/settings/', $formatDefFile))/bibrefFormat/bibrefAuthorFormat">
	  <xsl:with-param name="surname" select="./surname"/>
	  <xsl:with-param name="givenName" select="./givenname"/>
	  <xsl:with-param name="isEditor" select="./@isEditor"/>
	  <xsl:with-param name="authorsCount" select="count(../author)"/>
	  <xsl:with-param name="position" select="position()"/>
	</xsl:apply-templates>
      </xsl:for-each>
    </xsl:variable>

    <!--
	Process the authors of the collected volume
    -->
    <xsl:variable name="collectedVolumeAuthors">
      <xsl:for-each select="./collectedVolume/authors">                   
	<xsl:sort select="./@order" data-type="number"/>
	<xsl:apply-templates select="document(concat($theme-prefix, '/settings/', $formatDefFile))/bibrefFormat/bibrefAuthorFormat">
	  <xsl:with-param name="surname" select="./surname"/>
	  <xsl:with-param name="givenName" select="./givenname"/>
	  <xsl:with-param name="isEditor" select="@isEditor"/>
	  <xsl:with-param name="authorsCount" select="count(../authors/author)"/>
	  <xsl:with-param name="position" select="position()"/>
	</xsl:apply-templates>
      </xsl:for-each>      
    </xsl:variable>

    <!-- Process the publisher of the collected volume -->
    <xsl:variable name="collectedVolumePublisher">
      <xsl:for-each select="./collectedVolume/publisher">            
	<xsl:apply-templates select="document(concat($theme-prefix, '/settings/', $formatDefFile))/bibrefFormat/bibrefPublisherFormat">
	  <xsl:with-param name="name" select="./publisherName"/>
	  <xsl:with-param name="place" select="./place"/>
	</xsl:apply-templates>
      </xsl:for-each>      
    </xsl:variable>

    <!-- 
	 Process the collected volume information and store the result in a variable.
    -->
    <xsl:variable name="collectedVolume">
      <xsl:apply-templates select="document(concat($theme-prefix, '/settings/', $formatDefFile))/bibrefFormat/bibrefCollectedVolumeFormat">
	<xsl:with-param name="authors" select="$collectedVolumeAuthors"/>
	<xsl:with-param name="edition" select="./collectedVolume/edition"/>
	<xsl:with-param name="isbn" select="./collectedVolume/isbn"/>
	<xsl:with-param name="numberOfPages" select="./collectedVolume/numberofpages"/>
	<xsl:with-param name="numberOfVolumes" select="./collectedVolume/numberOfVolumes"/>
	<xsl:with-param name="publisher" select="$collectedVolumePublisher"/>
	<xsl:with-param name="reviewed" select="./collectedVolume/reviewed"/>
	<xsl:with-param name="title" select="./collectedVolume/title"/>
	<xsl:with-param name="volume" select="./collectedVolume/volume"/>
	<xsl:with-param name="oid" select="./collectedVolume/@oid"/>
	<xsl:with-param name="useRelativeUrl" select="$useRelativeUrl"/>
      </xsl:apply-templates>
    </xsl:variable>
    
    <!-- 
	 Procecess the format specification and use the values from the XML
    -->
    <xsl:apply-templates select="document(concat($theme-prefix, '/settings/', $formatDefFile))/bibrefFormat/bibrefArticleInCollectedVolumeFormat">
      <xsl:with-param name="authors" select="$authors"/>
      <xsl:with-param name="chapter" select="./chapter"/>
      <xsl:with-param name="collectedVolume" select="$collectedVolume"/>
      <xsl:with-param name="misc" select="./misc"/>
      <xsl:with-param name="pagesFrom" select="./pagesFrom"/>
      <xsl:with-param name="pagesTo" select="./pagesTo"/>
      <xsl:with-param name="reviewed" select="./reviewed"/>
      <xsl:with-param name="title" select="./title"/>
      <xsl:with-param name="year" select="./yearOfPublication"/>
      <xsl:with-param name="oid" select="./@oid"/>
      <xsl:with-param name="useRelativeUrl" select="$useRelativeUrl"/>
    </xsl:apply-templates>
  </xsl:template>

  <!-- Link view -->
  <xsl:template 
    name="CT_ArticleInCollectedVolume_Link" 
    match="*/cms:item/links[targetItem/objectType = 'com.arsdigita.cms.contenttypes.ArticleInCollectedVolume']"
    mode="link_view">
    <!-- Simply call template for Publications, because there is not difference for list view between these
         two types -->
    <xsl:call-template name="CT_Publication_Link"/>
  </xsl:template>



</xsl:stylesheet>